# Plane Image Plugin

This unofficial Talespire plugin allows adding textures planes to the board. These are ideal as maps for building Talespire content
and/or for adding textures to flat surfaces.

Video: https://youtu.be/mbp74o18TKM

Donate: http://lordashes.ca/TalespireDonate/Donate.php

## Changelog
```
1.3.1: Document update (no plugin change)
1.3.0: Initial release
```

## Install

Use R2ModMan to download the Symbiote from Thunderstore

## Usage

``F10``\* = Add New Plane (will prompt for image name)

``F11``\* = Retexture currently selected plane (will prompt for image name) 

``F1``\* = Cycle between existing planes (selected plane indicated at bottom of screen for about 3 seconds)

``F2``\* = Toggle Move mode\*\*

``F3``\* = Toggle Size mode\*\*

``DELETE``\* = Delete currently selected plane 


\* = Default key indicated. Keys can be changed in the plugin's configuration.

\*\* = While in Move or Size mode, game keys will not work. Toggle out of these modes to use game keys.

``Arrow Up``\*\*\* = (Move Mode) Move In Z Axis or (Size Mode) Scale Up Z

``Arrow Down``\*\*\* = (Move Mode) Move In -Z Axis or (Size Mode) Scale Down Z

``Arrow Left``\*\*\* = (Move Mode) Move In X Axis or (Size Mode) Scale Down X

``Arrow Right``\*\*\* = (Move Mode) Move In -X Axis or (Size Mode) Scale Up X

``Page Up``\*\*\* = (Move Mode) Move In Z Axis or (Size Mode) Scale Up X And Z

``Page Down``\*\*\* = (Move Mode) Move In -Z Axis or (Size Mode) Scale Down X And Z


\*\*\* = Hold ``LCTRL`` with these keys to use fast changes. You can also hold these combo to continue to make changes. 

## Features

\* Setup persists between sessions

\* Supports multiple planes

\* Supports in game movement (3 axis)

\* Supports in game sizing (2 axis)

\* Supports efficient update (updates are sent when user stops making changes)

\* On screen display for currently selected plane (3 seconds only)

\* On screen display of selected plane, plane position and plane scale when in move or size mode
